Bug 57567 - find <path> -follow -type l never finds anything
Summary: find <path> -follow -type l never finds anything
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: findutils   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-16 03:59 UTC by Chris Watt
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-16 03:59:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Watt 2001-12-16 03:59:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (Win98; U)

Description of problem:
When set to follow symlinks (-follow) find no longer reports the existance 
of symlinks in it's output. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.type "find . -type l -follow" in a directory which contains one or more 
symbolic links.
2.
3.
	

Actual Results:  Find produced no output

Expected Results:  Find should list the symlinks, and follow them 
listing any subsequent symlinks encountered.

Additional info:

Find installed from the findutils-4.1.6-2 package as part of Redhat 7.1.

Comment 1 Tim Waugh 2001-12-17 16:23:43 UTC
You mean to use '-xtype', not '-type'.  'find -type l -follow' means: find me 
all the symbolic links which, when derefenced to find the (non-symlink) 
target, turn out to point to symlinks.

Of course there are no such files. :-)

In contrast, 'find -xtype l -follow' does what you want.



Note You need to log in before you can comment on or make changes to this bug.